'use strict';

// SettingsCtrl
app.controller('SettingsCtrl', function($scope, Settings, $location) {

       // Title
	   $scope.title = 'Settings';

	   // Config
	   $scope.config = Settings.all();

	   // Done
	   $scope.done = function(path) {
			   // Save
			   Settings.save($scope.config);
			   // Navigation
			   $location.path(path);
	   }; // /done

}); // /SettingsCtrl
